[DCOS_OSS-5038] Feedback for DC/OS on AWS using the Universal Installer Created: 15/Apr/19  Updated: 24/Apr/19  Resolved: 24/Apr/19

Status: Resolved
Project: DC/OS
Component/s: docs
Affects Version/s: None
Fix Version/s: None

Type: Bug Priority: Medium
Reporter: Chris McInerney (Inactive) Assignee: Josh Earlenbaugh (Inactive)
Resolution: Done  
Labels: documentation
Remaining Estimate: Not Specified
Time Spent: Not Specified
Original Estimate: Not Specified

Issue Links:
Relates
Team: Doc Team
Watchers:
Chris McInerney (Inactive), Miguel Bernadin (Inactive)
Sprint: docs 5
Story Points: 1

 Description   

Source: https://docs.mesosphere.com/1.12/installing/evaluation/aws

In the section "Creating a DC/OS Cluster" Item 3 has the example main.ft.

The version is inconsistent with the documentation for Azure and GCP.  version = "~> 0.1" means from 0.1 to 0.X including all version less than 1.0.  It should read version = "~> 0.1.0" which means at least 0.1.0 and up to 0.1.X but less that 0.2.X.  

 

{{module "dcos" { }}

{{source = "dcos-terraform/dcos/aws" }}

version = "~> 0.1"

 

This is causing users to use the 0.1.0 main.tf that is no longer compatible with 0.2.0 module version.



 Comments   
Comment by Miguel Bernadin (Inactive) [ 15/Apr/19 ]

Submitted PR to expedite this request: https://github.com/mesosphere/dcos-docs-site/pull/2150

Generated at Sat Jan 22 02:14:32 CST 2022 using JIRA 7.8.4#78004-sha1:5704c55c9196a87d91490cbb295eb482fa3e65cf.